<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */
    var ColdWeather = [
      { text: 'Солнечно', img:'https://image.flaticon.com/icons/svg/861/861060.svg' },
      { text: 'Легкий снегопад' , img: 'https://image.flaticon.com/icons/svg/1315/1315636.svg' },
      { text: 'Сильный снегопад' , img: 'https://image.flaticon.com/icons/svg/1315/1315637.svg' }
    ];
    var NormalWeather = [
      { text: 'Солнечно', img:'https://image.flaticon.com/icons/svg/861/861060.svg' },
      { text: 'Дождь' , img: 'https://image.flaticon.com/icons/svg/1315/1315632.svg' },
      { text: 'Ветер' , img: 'https://image.flaticon.com/icons/svg/136/136746.svg' },
      { text: 'Сильный дождь' , img: 'https://image.flaticon.com/icons/svg/1315/1315633.svg' }
    ];
    var HotWeather = [
      { text: 'Солнечно', img:'https://image.flaticon.com/icons/svg/861/861060.svg' },
      { text: 'Засуха' , img: 'https://image.flaticon.com/icons/svg/136/136734.svg' },
      { text: 'Ветер' , img: 'https://image.flaticon.com/icons/svg/136/136746.svg' }
    ];
    window.addEventListener("load", function () {
      var countries = ['Ukraine', 'Poland', 'USA'];
      var ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
      var polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
      var usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];
      
      var countriesSelect = document.getElementById('countries');
      var result = document.getElementById('result');
      var weather = document.getElementById('weather');

      var defaultOptionCountry = new Option('-- select country --', 0, true, true);
      defaultOptionCountry.disabled = true;

      countriesSelect.append(defaultOptionCountry);
      countries.forEach(function(elem){
        var option = new Option(elem, elem, false, false);
        countriesSelect.append(option);
      });
      countriesSelect.addEventListener('change', function(eC){
        result.innerHTML='';
        var cityOptions;
        switch (eC.target.value) {
          case 'Ukraine':
            cityOptions = ukraineCity;
            break;
          case 'Poland':
            cityOptions = polandCity;
            break;
          case 'USA':
            cityOptions = usaCity;
            break;
        }
        var citySelect = document.createElement('select');
        var defaultOptionCity = new Option('-- select city --', 0, true, true);
        defaultOptionCity.disabled = true;
        citySelect.append(defaultOptionCity);
        cityOptions.forEach(function(elem){
          var option = new Option(elem, elem, false, false);
          citySelect.append(option);
        });
        citySelect.addEventListener('change', function(eCity){
          weather.innerHTML='';
            var randomWeather = randomInt(-10, 40);
            var weatherArray;
            if(randomWeather<0) {
              weatherArray=ColdWeather;
            } else if(randomWeather<30) {
              weatherArray=NormalWeather;
            } else {
              weatherArray=HotWeather;
            }
            var span = document.createElement('span');
            console.log(eC.target.value, eCity.target.value, randomWeather, weatherArray);
            var weatherNow = weatherArray[Math.floor(Math.random()*weatherArray.length)];
            span.innerText = eC.target.value + '. В '+ eCity.target.value +' '+ weatherNow.text+' '+randomWeather +' градусов.';
            var img = new Image(200, 200);
            img.src = weatherNow.img;
            weather.append(span);
            weather.append(img);
          });
        result.append(citySelect);
      })
    });


    function randomInt(min,max) {
        return Math.floor(Math.random()*(max-min+1)+min);
    }
  </script>
</head>
<body>
  <select id="countries"></select>
  <div id="result"></div>
  <div id="weather"></div>
</body>
</html>
